<template>

<aside
    v-bind:class="! toggle ? 'rounded-full py-1' : 'py-2'"
    class="
    mx-2
    my-3
    lg:m-0
    px-2
    flex
    flex-col
    rounded-lg
    lg:rounded-xl
    bg-white
    dark:bg-cgray-900
    shadow-md
    lg:shadow-none
    lg:h-full
    max-h-full
    overflow-y-auto
">
    <div
        v-on:click="toggle = !toggle"
        class="
        flex
        items-center
        cursor-pointer
        px-0.5
        lg:hidden
    ">
        <hr
            v-bind:class="toggle ? 'border-red-400' : 'border-green-400'"
            class="
            flex-1
            border-2
            rounded
        ">
        <IconBase
            v-bind:class="toggle ? 'text-red-400' : 'text-green-400'"
            v-bind:name="toggle ? 'chevronDown' : 'chevronUp'"
            class="px-2"
        />
        <hr
            v-bind:class="toggle ? 'border-red-400' : 'border-green-400'"
            class="
            flex-1
            border-2
            rounded
        ">
    </div>
    <div
        v-bind:class="!toggle && 'hidden'"
        class="
        h-full
        max-h-full
    ">
        <InterfaceUnloaded v-if="! project.information" />
        <InterfaceLoaded v-else/>
    </div>
</aside>

</template>

<script lang='ts'>
import { Component, Vue } from 'vue-property-decorator';
import { State } from 'vuex-class';

import { Factory } from '@/ts/factory';
import { Project } from '@/ts/project';

import IconBase from '@/components/IconBase.vue';

import InterfaceLoaded from './components/InterfaceLoaded/index.vue';
import InterfaceUnloaded from './components/InterfaceUnloaded/index.vue';

@Component({
    components: {
        IconBase,
        InterfaceLoaded,
        InterfaceUnloaded,
    },
})
export default class C extends Vue {
    @State('factory')
    private factory!: Factory;

    @State('project')
    private project!: Project;

    private toggle: boolean = true;
}

</script>
